<?php

/**
 * Sets options for queries before they are run
 *
 * @package WordPress
 * @subpackage Bottega
 * @since 2.4.5
 *
 */
	function bottega_pre_posts( $query ) {
	    
	    if ( is_tax( 'staff-group' ) ) {
	        // displays in post order
	        $query->set( 'order', 'ASC' );
	        $query->set( 'orderby', 'menu_order' );
	        $query->set( 'posts_per_page', -1 );
	        return;
	    }
	    
	    if ( is_tax( 'menu_group' ) ) {
	        // displays in post order
	        $query->set( 'order', 'ASC' );
	        $query->set( 'orderby', 'menu_order' );
	        $query->set( 'posts_per_page', -1 );
	        return;
	    }
	    
	}
	add_action( 'pre_get_posts', 'bottega_pre_posts', 1 );