<?php get_header(); ?>

<div id="content" class="clearfix">

	<h1><?php $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) ); echo $term->name; ?></h1>
	
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
	 <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>	
		
		<?php get_template_part( 'layouts/features' ); ?>
		
		<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
		
		<?php get_template_part( 'layouts/post-meta' ); ?>
	
		<?php if(of_get_option('content_excerpt') == 'excerpt') { ?>
		
			<?php the_excerpt(); ?>
			
			<p><a class="more" href="<?php the_permalink() ?>" rel="bookmark"><?php _e('Read More', 'organizedthemes'); ?></a></p>
			
		<?php } else { ?>
		
			<?php the_content(__('Read more', 'organizedthemes')); ?>
		
		<?php } ?>
	 
	 </div>
	                                         
	<?php endwhile; else: ?>
		
		<p><?php _e('Sorry, no content matches your criteria.', 'organizedthemes'); ?></p>
		
		<?php get_search_form(); ?>
	
	<?php endif; ?>
	
	<?php get_template_part( 'layouts/paging' ); ?>
	
</div><!-- #content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
