<?php
/**
 * The custom js generator.
 *
 * This file makes our slideshow
 * options possible.  It prints the
 * options to the footer
 *
 */


add_action( 'wp_footer', 'organizedthemes_js_hook', 80 );
	function organizedthemes_js_hook( ) {
	   
	?>
	
<script>

<?php if ( is_front_page() || has_post_format('gallery') ) { ?>
	
	// Flexslider	
	jQuery(window).load(function() {
		jQuery('.flexslider').flexslider({
			animation           :	"<?php echo of_get_option('type','') ?>",
			slideshow           :	<?php echo of_get_option('auto','') ?>,
			slideshowSpeed      :	<?php echo of_get_option('duration','') ?>,
			animationDuration   :	<?php echo of_get_option('transition','') ?>,
			directionNav        :   false,
			controlNav          :	<?php echo of_get_option('bullets','') ?>,
			pauseOnAction       :   true,
			smoothHeight        :   true,
			pauseOnHover        :	true,
			useCSS              :   false,
			touch               :   true,
			video               :   true
		});
	});
	
<?php } ?>

// superfish
	jQuery(document).ready(function(){
		jQuery('#navigation ul').superfish({
			delay: 1000,                             
			animation: {opacity:'show',height:'show'},   
			speed: 'fast'
		});
	});

// Fit videos
	jQuery(document).ready(function(){
		jQuery(".fit-video").fitVids();
	});

// featured post cover and reveal
	jQuery(document).ready(function(){
		jQuery('.boxgrid.captionfull').hover(function(){
			jQuery(".cover", this).stop().animate({top:'0px'},{queue:false,duration:160});
		}, function() {
			jQuery(".cover", this).stop().animate({top:'178px'},{queue:false,duration:160});
		});
	});	

// Equal column heights on inside pages
	jQuery(document).ready( function(){
	  var leftHeight = jQuery("#content").height();
	  var rightHeight = jQuery("#sidebar").height();
	      if (leftHeight > rightHeight){ jQuery("#sidebar").height(leftHeight)}
	         else{ jQuery("#content").height(rightHeight)};
	})

<?php if(of_get_option('gallery') == 'true') { ?>
	
// Load Lightbox and add lightbox class and rel for prev/next functionality
	jQuery(document).ready(function(){
    	jQuery('.lightbox').lightbox();
    	
    		jQuery('.gallery a').addClass('lightbox');
    		jQuery('.gallery a').attr('rel', 'gallery');
    
    });

// Add lightbox class to single images with links:
	jQuery('a').each(function(){
		
		if ( this.href.toLowerCase().substr(-4).indexOf('.jpg') < 0 &&
		     this.href.toLowerCase().substr(-5).indexOf('.jpeg') < 0 &&
		     this.href.toLowerCase().substr(-4).indexOf('.png') < 0 &&
		     this.href.toLowerCase().substr(-4).indexOf('.gif') < 0 )
		return;

		var $lnk = jQuery(this); 
		
		$lnk.addClass('lightbox');
	
	});

<?php } ?>

<?php if ( is_page_template( 'page-home.php' ) ) { ?>
	
	// Masonry for Home page widgets
		var $container = jQuery('#home-middle');
			$container.imagesLoaded(function(){
			$container.masonry({
				itemSelector	: '.widget',
				gutterWidth		: 19,
				columnWidth		: 300
			});
		});
		
<?php } ?>

</script>

<?php 

}