<?php

	// Featured Images section
		add_theme_support('post-thumbnails');
			add_image_size('header-image', 960, 350, true);
			add_image_size('featured-header', 960, 550, true);
			add_image_size('blog-image', 600, 500, false);
			add_image_size('featured-thumbnail', 178, 178, true);
			add_image_size('menu-thumbnail', 100, 100, true);
			add_image_size('staff-thumbnail', 200, 300, true);
			add_image_size('staff-full', 400, 600, true);
	
	
	// Set Page Width
		if ( ! isset( $content_width ) ) $content_width = 610;
		
	
	// images for page/post gallery format
		function organizedthemes_gallery_format($size = 'header-image') {
			global $post;
		
			$photos = get_children( array('post_parent' => $post->ID, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID') );
		
			$results = array();
		
			if ($photos) {
				foreach ($photos as $photo) {
					// get the correct image html for the selected size
					$results[] = wp_get_attachment_image($photo->ID, $size);
				}
			}
		
			return $results;
		}