<?php
/**
 * Menu List
 *
 * Creates up to 10 menu
 * listings for the menu
 * page template.
 *
 * @package 	WordPress
 * @subpackage 	bottega
 * @since 		2.1.0
 */?>
 
 
<div id="menu" class="clearfix">
	
	<?php if(of_get_option('menu_1', $single = true) != ""){ // this code block is repeated 9 more times below ?>
		<h4 class="divider"><?php echo of_get_option('menu_title_1'); ?></h4>
    	<?php if(of_get_option('menu_description_1', $single = true) != ""){ ?>
			<p><?php echo of_get_option('menu_description_1'); ?></p>	
		<?php } ?>
	   
	   <?php // This query uses the menu_group id selected on the theme options page
		   $args = array( 'orderby' => 'menu_order', 'order' => 'asc','posts_per_page' => '-1',
		   	'tax_query' => array(
		   		array(
		   			'taxonomy' => 'menu_group',
		   			'field' => 'id',
		   			'terms' => of_get_option('menu_1')
		   		),	
		   	)
		   );
		   $recent = new WP_Query( $args );
		   
	   	while($recent->have_posts()) : $recent->the_post();?>
	   	
	    <?php get_template_part( 'layouts/menu-item' ); ?>
	    
		<?php endwhile; wp_reset_postdata(); // reset the query ?>
	
	<?php } // Close Menu 1 ?>
	
	<?php if(of_get_option('menu_2', $single = true) != ""){ ?>
		<h4 class="divider"><?php echo of_get_option('menu_title_2'); ?></h4>
		<?php if(of_get_option('menu_description_2', $single = true) != ""){ ?>
			<p><?php echo of_get_option('menu_description_2'); ?></p>	
		<?php } ?>
	   
	   <?php 
		   $args = array( 'orderby' => 'menu_order', 'order' => 'asc','posts_per_page' => '-1',
		   	'tax_query' => array(
		   		array(
		   			'taxonomy' => 'menu_group',
		   			'field' => 'id',
		   			'terms' => of_get_option('menu_2')
		   		)
		   	)
		   );
		   $recent = new WP_Query( $args );
		   
	   	while($recent->have_posts()) : $recent->the_post();?>
	   	
	    <?php get_template_part( 'layouts/menu-item' ); ?>
	    
		<?php endwhile; wp_reset_postdata(); // reset the query ?>
	
	<?php } // Close Menu 2 ?>
	
	<?php if(of_get_option('menu_3', $single = true) != ""){ ?>
		<h4 class="divider"><?php echo of_get_option('menu_title_3'); ?></h4>
		<?php if(of_get_option('menu_description_1', $single = true) != ""){ ?>
			<p><?php echo of_get_option('menu_description_3'); ?></p>	
		<?php } ?>
	   
	   <?php 
		   $args = array( 'orderby' => 'menu_order', 'order' => 'asc','posts_per_page' => '-1',
		   	'tax_query' => array(
		   		array(
		   			'taxonomy' => 'menu_group',
		   			'field' => 'id',
		   			'terms' => of_get_option('menu_3')
		   		)
		   	)
		   );
		   $recent = new WP_Query( $args );
		   
	   	while($recent->have_posts()) : $recent->the_post();?>
	   	
	    <?php get_template_part( 'layouts/menu-item' ); ?>
	    
		<?php endwhile; wp_reset_postdata(); // reset the query ?>
	
	<?php } // Close Menu 3 ?>
	
	<?php if(of_get_option('menu_4', $single = true) != ""){ ?>
		<h4 class="divider"><?php echo of_get_option('menu_title_4'); ?></h4>
		<?php if(of_get_option('menu_description_4', $single = true) != ""){ ?>
			<p><?php echo of_get_option('menu_description_4'); ?></p>	
		<?php } ?>
	   
	   <?php 
		   $args = array( 'orderby' => 'menu_order', 'order' => 'asc','posts_per_page' => '-1',
		   	'tax_query' => array(
		   		array(
		   			'taxonomy' => 'menu_group',
		   			'field' => 'id',
		   			'terms' => of_get_option('menu_4')
		   		)
		   	)
		   );
		   $recent = new WP_Query( $args );
		   
	   	while($recent->have_posts()) : $recent->the_post();?>
	   	
	    <?php get_template_part( 'layouts/menu-item' ); ?>
	    
		<?php endwhile; wp_reset_postdata(); // reset the query ?>
	
	<?php } // Close Menu 4 ?>
	
	<?php if(of_get_option('menu_5', $single = true) != ""){ ?>
		<h4 class="divider"><?php echo of_get_option('menu_title_5'); ?></h4>
		<?php if(of_get_option('menu_description_5', $single = true) != ""){ ?>
			<p><?php echo of_get_option('menu_description_5'); ?></p>	
		<?php } ?>
	   
	   <?php 
		   $args = array( 'orderby' => 'menu_order', 'order' => 'asc','posts_per_page' => '-1',
		   	'tax_query' => array(
		   		array(
		   			'taxonomy' => 'menu_group',
		   			'field' => 'id',
		   			'terms' => of_get_option('menu_5')
		   		)
		   	)
		   );
		   $recent = new WP_Query( $args );
		   
	   	while($recent->have_posts()) : $recent->the_post();?>
	   	
	    <?php get_template_part( 'layouts/menu-item' ); ?>
	    
		<?php endwhile; wp_reset_postdata(); // reset the query ?>
	
	<?php } // Close Menu 5 ?>
	
	<?php if(of_get_option('menu_6', $single = true) != ""){ ?>
		<h4 class="divider"><?php echo of_get_option('menu_title_6'); ?></h4>
		<?php if(of_get_option('menu_description_6', $single = true) != ""){ ?>
			<p><?php echo of_get_option('menu_description_6'); ?></p>	
		<?php } ?>
	   
	   <?php 
		   $args = array( 'orderby' => 'menu_order', 'order' => 'asc','posts_per_page' => '-1',
		   	'tax_query' => array(
		   		array(
		   			'taxonomy' => 'menu_group',
		   			'field' => 'id',
		   			'terms' => of_get_option('menu_6')
		   		)
		   	)
		   );
		   $recent = new WP_Query( $args );
		   
	   	while($recent->have_posts()) : $recent->the_post();?>
	   	
	    <?php get_template_part( 'layouts/menu-item' ); ?>
	    
		<?php endwhile; wp_reset_postdata(); // reset the query ?>
	
	<?php } // Close Menu 6 ?>
	
	<?php if(of_get_option('menu_7', $single = true) != ""){ ?>
		<h4 class="divider"><?php echo of_get_option('menu_title_7'); ?></h4>
		<?php if(of_get_option('menu_description_7', $single = true) != ""){ ?>
			<p><?php echo of_get_option('menu_description_7'); ?></p>	
		<?php } ?>
	   
	   <?php 
		  $args = array( 'orderby' => 'menu_order', 'order' => 'asc','posts_per_page' => '-1',
		   	'tax_query' => array(
		   		array(
		   			'taxonomy' => 'menu_group',
		   			'field' => 'id',
		   			'terms' => of_get_option('menu_7')
		   		)
		   	)
		   );
		   $recent = new WP_Query( $args );
		   
	   	while($recent->have_posts()) : $recent->the_post();?>
	   	
	    <?php get_template_part( 'layouts/menu-item' ); ?>
	    
		<?php endwhile; wp_reset_postdata(); // reset the query ?>
	
	<?php } // Close Menu 7 ?>
	
	<?php if(of_get_option('menu_8', $single = true) != ""){ ?>
		<h4 class="divider"><?php echo of_get_option('menu_title_8'); ?></h4>
		<?php if(of_get_option('menu_description_8', $single = true) != ""){ ?>
			<p><?php echo of_get_option('menu_description_8'); ?></p>	
		<?php } ?>
	   
	   <?php 
		   $args = array( 'orderby' => 'menu_order', 'order' => 'asc','posts_per_page' => '-1',
		   	'tax_query' => array(
		   		array(
		   			'taxonomy' => 'menu_group',
		   			'field' => 'id',
		   			'terms' => of_get_option('menu_8')
		   		)
		   	)
		   );
		   $recent = new WP_Query( $args );
		   
	   	while($recent->have_posts()) : $recent->the_post();?>
	   	
	    <?php get_template_part( 'layouts/menu-item' ); ?>
	    
		<?php endwhile; wp_reset_postdata(); // reset the query ?>
	
	<?php } // Close Menu 8 ?>
	
	<?php if(of_get_option('menu_9', $single = true) != ""){ ?>
		<h4 class="divider"><?php echo of_get_option('menu_title_9'); ?></h4>
		<?php if(of_get_option('menu_description_9', $single = true) != ""){ ?>
			<p><?php echo of_get_option('menu_description_9'); ?></p>	
		<?php } ?>
	   
	   <?php 
		   $args = array( 'orderby' => 'menu_order', 'order' => 'asc','posts_per_page' => '-1',
		   	'tax_query' => array(
		   		array(
					'taxonomy' => 'menu_group',
					'field' => 'id',
		   			'terms' => of_get_option('menu_9')
		   		)
		   	)
		   );
		   $recent = new WP_Query( $args );
		   
	   	while($recent->have_posts()) : $recent->the_post();?>
	   	
	    <?php get_template_part( 'layouts/menu-item' ); ?>
	    
		<?php endwhile; wp_reset_postdata(); // reset the query ?>
	
	<?php } // Close Menu 9 ?>
	
	<?php if(of_get_option('menu_10', $single = true) != ""){ ?>
		<h4 class="divider"><?php echo of_get_option('menu_title_10'); ?></h4>
		<?php if(of_get_option('menu_description_10', $single = true) != ""){ ?>
			<p><?php echo of_get_option('menu_description_10'); ?></p>	
		<?php } ?>
	   
	   <?php 
		   $args = array( 'orderby' => 'menu_order', 'order' => 'asc','posts_per_page' => '-1',
		   	'tax_query' => array(
		   		array(
		   			'taxonomy' => 'menu_group',
		   			'field' => 'id',
		   			'terms' => of_get_option('menu_10')
		   		)
		   	)
		   );
		   $recent = new WP_Query( $args );
		   
	   	while($recent->have_posts()) : $recent->the_post();?>
	   	
	    <?php get_template_part( 'layouts/menu-item' ); ?>
	    
		<?php endwhile; wp_reset_postdata(); // reset the query ?>
	
	<?php } // Close Menu 10 ?>
	
	
</div> <!-- Close Menu -->
