<?php
/*
Template Name: Menu Page
*/

get_header(); ?>

	<?php while (have_posts()) : the_post(); ?>
	
		<?php get_template_part( 'layouts/post-formats' ); ?>
		
		<div id="page-full" class="clearfix">
		
		<h1 class="post-title"><?php the_title(); ?></h1>
		
		<?php the_content(__('Read more', 'organizedthemes'));?> 
		
		<?php wp_link_pages(); ?>                                         
		
		<?php endwhile; ?>
	
		<?php get_template_part( 'layouts/menu-loop' ); ?>
		
	</div><!-- #page-full -->

<?php get_footer(); ?>
