<?php
/*
Template Name: Staff Page
*/

get_header(); ?>

	<?php while (have_posts()) : the_post(); ?>

	<?php get_template_part( 'layouts/post-formats' ); ?>
		
	<div id="content" class="clearfix">
	
		<h1 class="post-title"><?php the_title(); ?></h1> 
		
		<?php the_content(__('Read more', 'organizedthemes')); ?>
		
		<?php wp_link_pages(); ?>                                          
		
		<?php endwhile; ?>
		
		<?php $loop = new WP_Query( array( 'post_type' => 'staff', 'posts_per_page' => -1, 'orderby'=>'menu_order', 'order'=>'ASC' ) ); ?>
				
			<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
			
				<?php get_template_part( 'layouts/staff-entry' ); ?>
								
			<?php endwhile; ?><!-- end staff loop -->

	</div><!-- #content -->
	
<?php get_sidebar(); ?>
<?php get_footer(); ?>