<?php get_header(); ?>

<div id="content" class="clearfix">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		
			<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			
			<?php get_template_part( 'layouts/post-meta' ); ?>
			
			<?php the_excerpt(); ?>
		
		</div>
	                                           
	<?php endwhile; else: ?>
		
		<p><?php _e('Sorry, no content matches your criteria.', 'organizedthemes'); ?></p>
		
		<?php get_search_form(); ?>
	
	<?php endif; ?>
	
	<?php get_template_part( 'layouts/paging' ); ?>

</div><!-- #content -->
	
<?php get_sidebar(); ?>
<?php get_footer(); ?>
