<?php get_header(); ?>

<div id="page-full" class="clearfix">
	
	<?php while (have_posts()) : the_post(); ?>
	
	<?php the_post_thumbnail('staff-full', array('class' => 'shadow')); ?>
	
	<h1 class="title"><?php the_title(); ?></h1>
	<?php if(get_post_meta($post->ID, "title", $single = true) != ""){ ?>
		<p class="job-title"><?php echo get_post_meta($post->ID, "title", TRUE); ?></p>
	<?php } ?>
	
	<p class="staff-meta">
	
		<?php if(get_post_meta($post->ID, "phone", $single = true) != ""){ ?>
		<span class="phone"><?php echo get_post_meta($post->ID, "phone", TRUE); ?></span>
		<?php } ?>
						
		<?php if(get_post_meta($post->ID, "email", $single = true) != ""){ ?>
		<span class="email"><a href="mailto:<?php echo get_post_meta($post->ID, "email", TRUE); ?>"> <?php _e('Email', 'organizedthemes'); ?> </a></span>
		<?php } ?>
		
		<?php if(get_post_meta($post->ID, "twitter", $single = true) != ""){ ?>
		<span class="twitter-link"><a href="http://www.twitter.com/<?php echo get_post_meta($post->ID, "twitter", TRUE); ?>"> <?php _e('Twitter', 'organizedthemes'); ?> </a></span>
		<?php } ?>
		
		<?php if(get_post_meta($post->ID, "facebook", $single = true) != ""){ ?>
		<span class="facebook-link"><a href="<?php echo get_post_meta($post->ID, "facebook", TRUE); ?>"> <?php _e('Facebook', 'organizedthemes'); ?> </a></span>
		<?php } ?>
		
		<?php if(get_post_meta($post->ID, "option_title", $single = true) != ""){ ?>
		<span class="custom"><a href="<?php echo get_post_meta($post->ID, "optional_url", TRUE); ?>"><?php echo get_post_meta($post->ID, "option_title", TRUE); ?></a></span>
		<?php } ?>
		
	</p>
	
	<?php the_content(); ?>
    
	<?php endwhile; ?>
	
</div><!-- #page-full -->

<?php get_footer(); ?>
