<?php get_header(); ?>
	
	<div id="menu" class="clearfix">
	
		<h1 class="post-title"><?php $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) ); echo $term->name; ?></h1>
		
		<?php echo term_description( '', get_query_var( 'taxonomy' ) ); ?>
		
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			
			<?php get_template_part( 'layouts/menu-item' ); ?>
		
		<?php endwhile; else: ?>
		
			<?php _e('<p>Check back soon for items on this menu.</p>', 'organizedthemes'); ?>
		
		<?php endif; ?>
		
		<?php get_template_part( 'layouts/paging' ); ?>

	</div> <!-- #menu -->

<?php get_footer(); ?>
